#-------------------------------------------------
#  Copyright 2020 Esri
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  https://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#-------------------------------------------------
# @@Start(webengine)
TEMPLATE = app

CONFIG += c++14

# additional modules are pulled in via arcgisruntime.pri
# // @@Start(add_webengine)
QT += opengl qml quick webengine
# // @@End(webengine, add_webengine)
TARGET = display_a_map

equals(QT_MAJOR_VERSION, 5) {
    lessThan(QT_MINOR_VERSION, 15) { 
        error("$$TARGET requires Qt 5.15.2")
    }
	equals(QT_MINOR_VERSION, 15) : lessThan(QT_PATCH_VERSION, 1) {
                error("$$TARGET requires Qt 5.15.2")
	}
}
# // @@Start(include_toolkit)
equals(QT_MAJOR_VERSION, 6) {
  error("This version of the ArcGIS Runtime SDK for Qt is incompatible with Qt 6")
}

ARCGIS_RUNTIME_VERSION = 100.15.0
include($$PWD/arcgisruntime.pri)
# // @@Start(add_include_toolkit)
# Set the path to the toolkit, absolute or relative to this app.
include(<path_to_toolkit_repo>/toolkit/uitools/toolkitcpp.pri) # example: C:/arcgis-runtime-toolkit-qt/toolkit/uitools/toolkitcpp.pri
# // @@End(add_include_toolkit, include_toolkit)
HEADERS += \
    Display_a_map.h

SOURCES += \
    main.cpp \
    Display_a_map.cpp

RESOURCES += \
    qml/qml.qrc \
    Resources/Resources.qrc

#-------------------------------------------------------------------------------

win32 {
    include (Win/Win.pri)
}

macx {
    include (Mac/Mac.pri)
}

ios {
    include (iOS/iOS.pri)
}

android {
    include (Android/Android.pri)
}
